Publications

Read the current durable recovery point for a new publication

GET
/api/projects/{projectId}/publication-composer-draft

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length

Response Body

Response for status 200

application/json
  1. response
draft*|null
Example Request
curl -X GET 'https://postbot.example/api/projects/string/publication-composer-draft'
Example Response
{
  "draft": {
    "id": "string",
    "projectId": "string",
    "content": {
      "postTitle": "string",
      "postContent": "string",
      "sourceMedia": [
        {
          "assetId": "string",
          "accessibilityText": "string"
        }
      ],
      "publicationTargets": [
        {
          "id": "string",
          "channelId": "string",
          "content": "string",
          "deliveryMode": "manual",
          "scheduledAt": "string"
        }
      ],
      "publicationTagIds": [
        "string"
      ],
      "defaultDeliveryMode": "manual",
      "defaultScheduledAt": "string",
      "customizedTargetIds": [
        "string"
      ],
      "customizedContentTargetIds": [
        "string"
      ],
      "activePublicationTabId": "string",
      "activeContentScopeId": "string"
    },
    "revision": 1,
    "createdAt": 0,
    "updatedAt": 0
  }
}

Was this page helpful?